Author Topic: Can't get Flex/Core to work  (Read 5040 times)

brebey

  • Community Member
  • Posts: 55
  • Hero Points: 2
Can't get Flex/Core to work
« on: August 15, 2010, 10:32:26 pm »
I've recently reinstalled WinXP, Eclipse Gallileo, and FlexBuilder 3  on my PC.  I can't get SlickEdit core to work in FlexBuilder3.  I'd appreciate some help getting it working again.

SECore seems to work in Eclipse,  but in FlexBuilder3 when I try to edit a file I get this error:


When I try to issue "Help|Software Updates|Find and Install|Search for Updates for the Currently Installed Features", I get this:


From FlexBuilder3, "Help|Product Details" yields this for Flex:

and this for Eclipse:


« Last Edit: August 15, 2010, 10:40:22 pm by brebey »

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 986
  • Hero Points: 77
Re: Can't get Flex/Core to work
« Reply #1 on: August 17, 2010, 02:43:51 pm »
Can you post the .log file from the WORKSPACEDIR/.metadata/ directory so I can see the stack from the error?

Are you using the FlexBuilder 3 IDE or the FlexBuilder 3 plug-in installed into Eclipse Galileo?

- Ryan

brebey

  • Community Member
  • Posts: 55
  • Hero Points: 2
Re: Can't get Flex/Core to work
« Reply #2 on: August 17, 2010, 04:55:24 pm »
Log file attached.

I'm using FlexBuilder3 IDE.

Thanks for the help!

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 986
  • Hero Points: 77
Re: Can't get Flex/Core to work
« Reply #3 on: August 17, 2010, 05:33:38 pm »
Hmm...that's a strange error to have.  I have Core 3.5.1 running in FlexBuilder 3 here...so it should work fine.  How did you install?  Did the installation complete successfully?  If you go to where the plug-ins are installed (on Vista on my system it is at C:\Users\USERNAME\Documents\Flex Builder3\configuration\eclipse\plugins\) are all the SlickEdit plug-ins there?  Specifically is there a com.slickedit.core_3.5.1 plug-in with a SlickEditCore.jar in this directory?  How big is this file?

- Ryan

brebey

  • Community Member
  • Posts: 55
  • Hero Points: 2
Re: Can't get Flex/Core to work
« Reply #4 on: August 17, 2010, 09:43:36 pm »
I got it to work, but it was pretty kludgy.  Your previous post prompted me to compare my Eclipse plugins directory with my FlexBuilder3 plugins directory, and I hand-copies all the com.slickedit.* directories from the Eclipse plugins directory to the FlexBuilder3 plugins directory, restarted FlexBuilder3, and SE works now. I don't know what went wrong, but it's working now.  Thanks!

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 986
  • Hero Points: 77
Re: Can't get Flex/Core to work
« Reply #5 on: August 18, 2010, 03:04:42 pm »
Well I'm glad you got it to work, and yea...it does sound kludgy  :(.  I think it's probably because the current repository for Core 3.5.1 that you normally use to install Core via Eclipse is not really written for compatibility in the Eclipse 3.3-based install mechanism.  So it probably didn't work right.  You then bypassed the whole thing by just manually copying the plugins over.  You probably also want to copy the com.slickedit.* directories from features/.

- Ryan